'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
/**
 * Extract parallel commands and options into separate argv lists.
 */

function parseSpecialArgv(argv) {
  const main = [];
  const parallel = [];
  let index = -1;
  argv.forEach(arg => {
    if (arg === '//') {
      index += 1;
    } else if (index >= 0) {
      if (parallel[index]) {
        parallel[index].push(arg);
      } else {
        parallel[index] = [arg];
      }
    } else {
      main.push(arg);
    }
  });
  return {
    argv: main,
    parallelArgv: parallel
  };
}

exports.parseSpecialArgv = parseSpecialArgv;
//# sourceMappingURL=parseSpecialArgv.js.map
