import type { CompilerOptions, ProjectReference } from 'typescript';
export declare function parseJSON<T>(filePath: string): T;
declare type PackageDeps = Record<string, string>;
interface PackageJSON {
    engines?: {
        node?: string;
    };
    dependencies?: PackageDeps;
    devDependencies?: PackageDeps;
    peerDependencies?: PackageDeps;
}
export declare function getRootPackageJSON(): PackageJSON;
export declare function getTargetNodeRuntime(): number;
export declare function getPackageVersion(pkgName: string): number;
interface TSConfigJSON {
    compilerOptions?: CompilerOptions;
    references?: ProjectReference[];
}
export declare function getRootTSConfig(): TSConfigJSON;
export declare function getRootProjectReferences(): ProjectReference[] | undefined;
export {};
//# sourceMappingURL=helpers.d.ts.map