'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const path = require('path');

const _interopDefault = e => e && e.__esModule ? e : {
  default: e
};

const path__default = /*#__PURE__*/_interopDefault(path);

const ROOT = process.env.BEEMO_ROOT || process.cwd();
const PACKAGE_JSON_PATH = path__default.default.join(ROOT, 'package.json');
const TSCONFIG_JSON_PATH = path__default.default.join(ROOT, 'tsconfig.json'); // Support consistent sorting across the board
// Its off since simple-import-sort doesnt support it!

const CASE_SENSITIVE = false; // Latest ECMA version and syntax to support

const ECMA_VERSION = 2022; // Files and folders to always ignore

const IGNORE_LIST = ['node_modules/', 'build/', 'cjs/', 'coverage/', 'dist/', 'dts/', 'esm/', 'lib/', 'mjs/', 'umd/']; // Supported file extenes

const EXTENSIONS = ['.ts', '.tsx', '.cts', '.mts', '.js', '.jsx', '.cjs', '.mjs'];
const EXTENSIONS_WITHOUT_DOT = EXTENSIONS.map(ext => ext.slice(1));
const EXTENSIONS_PATTERN = EXTENSIONS_WITHOUT_DOT.join(','); // Globs for finding source files, test files, and test utility files

const ALL_FILES_GLOB = `**/{src,tests,__tests__}/**/*.{${EXTENSIONS_PATTERN}}`;
const SOURCE_FILES_GLOB = `**/src/**/*.{${EXTENSIONS_PATTERN}}`;
const TEST_FILES_GLOB = `**/{tests,__tests__}/**/*.test.{${EXTENSIONS_PATTERN}}`;
const TEST_UTILS_GLOB = `**/{tests,__tests__}/**/*.{${EXTENSIONS_PATTERN}}`; // List of globs to find all test related files

const TESTS_LIST = [TEST_FILES_GLOB, TEST_UTILS_GLOB, `test.{${EXTENSIONS_PATTERN}}`]; // Pattern of file extensions

const NON_JS_REGEX = '\\.(css|sass|scss|less|gif|png|jpg|jpeg|svg|gql|graphql|yml|yaml)$';
const ALL_JS_REGEX = `\\.(${EXTENSIONS_WITHOUT_DOT.join('|')})$`; // Pattern to find all custom TypeScript paths

const TS_PATH_PREFIX_REGEX = '^:[a-z]';
exports.ALL_FILES_GLOB = ALL_FILES_GLOB;
exports.ALL_JS_REGEX = ALL_JS_REGEX;
exports.CASE_SENSITIVE = CASE_SENSITIVE;
exports.ECMA_VERSION = ECMA_VERSION;
exports.EXTENSIONS = EXTENSIONS;
exports.EXTENSIONS_PATTERN = EXTENSIONS_PATTERN;
exports.EXTENSIONS_WITHOUT_DOT = EXTENSIONS_WITHOUT_DOT;
exports.IGNORE_LIST = IGNORE_LIST;
exports.NON_JS_REGEX = NON_JS_REGEX;
exports.PACKAGE_JSON_PATH = PACKAGE_JSON_PATH;
exports.ROOT = ROOT;
exports.SOURCE_FILES_GLOB = SOURCE_FILES_GLOB;
exports.TESTS_LIST = TESTS_LIST;
exports.TEST_FILES_GLOB = TEST_FILES_GLOB;
exports.TEST_UTILS_GLOB = TEST_UTILS_GLOB;
exports.TSCONFIG_JSON_PATH = TSCONFIG_JSON_PATH;
exports.TS_PATH_PREFIX_REGEX = TS_PATH_PREFIX_REGEX;
//# sourceMappingURL=constants2.js.map
