import { ScriptContext } from '../contexts/ScriptContext';
import { Script } from '../Script';
import { RunInWorkspacesRoutine } from './RunInWorkspacesRoutine';
export declare class RunScriptRoutine extends RunInWorkspacesRoutine<ScriptContext> {
    errors: Error[];
    getInitialValue(context: ScriptContext): Promise<Script>;
    pipeRoutine(context: ScriptContext, packageName: string, packageRoot: string): void;
    /**
     * If the script has been loaded into the tool, return that directly.
     * Scripts can be preloaded from a configuration file or the command line.
     */
    loadScriptFromTool(context: ScriptContext): Script | null;
    /**
     * Attempt to load a script from the configuration module's `scripts/` folder,
     * or a standard Node modules folder.
     */
    loadScriptFromModule(context: ScriptContext, script: Script | null): Promise<Script | null>;
    /**
     * If all of the loading patterns have failed, thrown an error,
     * otherwise add the script and continue.
     */
    postLoad(context: ScriptContext, script: Script | null): Script;
}
//# sourceMappingURL=RunScriptRoutine.d.ts.map