import { Blueprint, Schemas } from '@boost/common';
import { Routine } from '@boost/pipeline';
import { ScaffoldContext } from '../contexts/ScaffoldContext';
import { RoutineOptions } from '../types';
export declare class ScaffoldRoutine extends Routine<unknown, unknown, RoutineOptions> {
    blueprint({ instance }: Schemas): Blueprint<RoutineOptions>;
    execute(context: ScaffoldContext): Promise<void>;
    /**
     * Execute the hygen scaffolding generator.
     */
    runGenerator(context: ScaffoldContext): Promise<void>;
    /**
     * Handle shell executions from hygen.
     */
    private handleExec;
    /**
     * Temporary solution until boost supports prompts.
     */
    private handlePrompter;
}
//# sourceMappingURL=ScaffoldRoutine.d.ts.map