'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const Driver = require('../Driver.js');

const Context = require('./Context.js');

class ConfigContext extends Context.Context {
  constructor(...args) {
    super(...args);
    this.drivers = new Set();
  }
  /**
   * Add a driver as a dependency.
   */


  addDriverDependency(driver) {
    if (driver instanceof Driver.Driver) {
      this.drivers.add(driver);
    } else {
      throw new TypeError('Invalid driver. Must be an instance of `Driver`.');
    }

    return this;
  }

}

exports.ConfigContext = ConfigContext;
//# sourceMappingURL=ConfigContext.js.map
