'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const ConfigContext = require('./ConfigContext.js');

class DriverContext extends ConfigContext.ConfigContext {
  // Name defined on the plugin (kebab case)
  // Nested list of argv for each parallel execution
  // The primary driver that initiated the pipeline
  constructor(args, driver, parallelArgv = []) {
    super(args);
    this.driverName = '';
    this.parallelArgv = [];
    this.primaryDriver = void 0;
    this.driverName = driver.getName();
    this.parallelArgv = parallelArgv;
    this.primaryDriver = driver; // Add primary driver to driver list

    this.drivers.add(driver);
  }
  /**
   * Add a parallel command with additional argv.
   */


  addParallelCommand(argv) {
    this.parallelArgv.push(argv);
    return this;
  }

}

exports.DriverContext = DriverContext;
//# sourceMappingURL=DriverContext.js.map
