'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const micromatch = require('micromatch');

const _interopDefault = e => e && e.__esModule ? e : {
  default: e
};

const micromatch__default = /*#__PURE__*/_interopDefault(micromatch);

function isPatternMatch(string, pattern, options) {
  if (!string || !pattern) {
    return false;
  } // Wildcard all (*)


  if (pattern === '*') {
    return true;
  } // Whitelist (foo,bar)


  if (pattern.includes(',') && !pattern.includes('{')) {
    return pattern.split(',').includes(string);
  } // Patterns ([a-z], foo|bar, etc)


  return micromatch__default.default.isMatch(string, pattern, options);
}

exports.isPatternMatch = isPatternMatch;
//# sourceMappingURL=isPatternMatch.js.map
