import { ConfigContext, Driver, Execution, Path } from '@beemo/core';
import { Event } from '@boost/event';
import { ESLintConfig } from './types';
export declare class ESLintDriver extends Driver<ESLintConfig> {
    readonly name = "@beemo/driver-eslint";
    readonly onCreateIgnoreFile: Event<[ConfigContext<{}>, Path, {
        ignore: string[];
    }], string>;
    bootstrap(): void;
    /**
     * ESLint writes warnings to stdout, so we need to display
     * both stdout and stderr on failure.
     */
    processFailure(error: Execution): void;
    /**
     * If an "ignore" property exists in the ESLint config, create an ".eslintignore" file.
     */
    private handleCreateIgnoreFile;
}
//# sourceMappingURL=ESLintDriver.d.ts.map