'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const fs = require('fs');

const core = require('@beemo/core');

const _interopDefault = e => e && e.__esModule ? e : {
  default: e
};

const fs__default = /*#__PURE__*/_interopDefault(fs);

function join(...parts) {
  return new core.VirtualPath(...parts).path();
}

async function writeFile(path, data) {
  return new Promise((resolve, reject) => {
    // eslint-disable-next-line promise/prefer-await-to-callbacks
    fs__default.default.writeFile(path.path(), JSON.stringify(data, null, 2), error => {
      if (error) {
        reject(error);
      } else {
        resolve();
      }
    });
  });
}

exports.join = join;
exports.writeFile = writeFile;
//# sourceMappingURL=helpers.js.map
