'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const constants = require('../constants.js');

function castValue(value, type, multiple) {
  if (multiple && !Array.isArray(value)) {
    return [];
  }

  if (Array.isArray(value)) {
    return value.map(val => castValue(val, type));
  }

  switch (type) {
    case 'boolean':
      {
        const bool = String(value).toLowerCase();
        return bool === 'true' || bool === 'on' || bool === 'yes' || bool === '1';
      }

    case 'number':
      {
        const number = Number(value);
        return Number.isNaN(number) ? constants.DEFAULT_NUMBER_VALUE : number;
      }

    default:
      return String(value);
  }
}

exports.castValue = castValue;
//# sourceMappingURL=castValue.js.map
