'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const ArgsError = require('../ArgsError.js');

function formatValue(value, format) {
  let nextValue = value;
  const prevType = typeof nextValue;

  if (typeof format === 'function' && prevType !== 'boolean') {
    nextValue = format(nextValue);
    const nextType = typeof nextValue;

    if (nextType !== prevType) {
      throw new ArgsError.ArgsError('VALUE_INVALID_FORMAT', [prevType, nextType]);
    }
  }

  return nextValue;
}

exports.formatValue = formatValue;
//# sourceMappingURL=formatValue.js.map
