'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const constants = require('../constants.js');

function getDefaultValue(config) {
  let value = config.default;

  if (value === undefined) {
    if (config.multiple) {
      value = [];
    } else if (config.type === 'boolean') {
      value = constants.DEFAULT_BOOLEAN_VALUE;
    } else if (config.type === 'number') {
      value = constants.DEFAULT_NUMBER_VALUE;
    } else {
      value = constants.DEFAULT_STRING_VALUE;
    }
  }

  return value;
}

exports.getDefaultValue = getDefaultValue;
//# sourceMappingURL=getDefaultValue.js.map
