'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function mapParserOptions(configs, options, params, {
  onCommand,
  onOption,
  onParam
}) {
  if (onCommand && Array.isArray(configs.commands)) {
    configs.commands.forEach(command => {
      onCommand(command);
    });
  }

  if (onOption) {
    Object.keys(configs.options).forEach(name => {
      onOption(configs.options[name], options[name], name);
    });
  }

  if (onParam && configs.params) {
    configs.params.forEach((config, i) => {
      onParam(config, params[i], i);
    });
  }
}

exports.mapParserOptions = mapParserOptions;
//# sourceMappingURL=mapParserOptions.js.map
