/// <reference types="react" />
import { PromptProps } from './internal/Prompt';
export interface ConfirmProps extends Omit<PromptProps<boolean>, 'validate'> {
    /** Error message to display when an invalid character is pressed. Defaults to a custom message. */
    invalidError?: string;
    /** Character that triggers a falsy state when pressed. Defaults to "N". */
    no?: string;
    /** Character that triggers a truthy state when pressed. Defaults to "y". */
    yes?: string;
}
/**
 * A React component that renders a yes/no confirmation prompt.
 */
export declare function Confirm(props: ConfirmProps): JSX.Element;
//# sourceMappingURL=Confirm.d.ts.map