import React from 'react';
export interface FailureProps {
    /** Name of the binary being executed. */
    binName?: string;
    /** Full length command line being ran. */
    commandLine?: string;
    /** Delimiter to prefix within examples. Defaults to "$ ". */
    delimiter?: string;
    /** The primary error to display in red. */
    error: Error;
    /** Hide the primary error stack trace. Defaults to `false`. */
    hideStackTrace?: boolean;
    /** Optional errors as warnings to display in yellow. */
    warnings?: Error[];
}
/**
 * A React component that renders a failure state for errors and warnings.
 */
export declare class Failure extends React.Component<FailureProps> {
    shouldHideStackTrace(): boolean;
    renderCodeFrame(): JSX.Element | null;
    renderStackTrace(): JSX.Element | null;
    renderWarnings(): JSX.Element | null;
    render(): JSX.Element;
}
//# sourceMappingURL=Failure.d.ts.map