/// <reference types="react" />
import { OptionConfigMap, ParamConfigList } from '@boost/args';
import { Categories, CommandConfig, CommandConfigMap } from '../types';
export interface HelpProps {
    /** Mapping of categories to use for command and option grouping. */
    categories?: Categories;
    /** Configuration metadata about the current command. */
    config?: CommandConfig;
    /** Mapping of commands, typically sub-commands. */
    commands?: CommandConfigMap;
    /** Delimiter to prefix within examples. Defaults to "$ ". */
    delimiter?: string;
    /** A header to display at the top of the output. */
    header?: string;
    /** Mapping of command options. */
    options?: OptionConfigMap;
    /** List of command params. */
    params?: ParamConfigList;
}
/**
 * A React component that renders a help menu for a command.
 * Includes all sub-commands, options, params, and more.
 */
export declare function Help(props: HelpProps): JSX.Element;
//# sourceMappingURL=Help.d.ts.map