/// <reference types="react" />
import { PromptProps } from './internal/Prompt';
export interface InputProps extends PromptProps<string> {
    /** A default value. If none provided, will use an empty state. */
    defaultValue?: string;
    /** Hide the cursor in the terminal. Will remove the background color, but still functions. */
    hideCursor?: boolean;
    /** Mask to replace every inputted character with. */
    mask?: string;
    /** Callback triggered when the value changes. */
    onChange?: (value: string) => void;
    /** Custom string to display when the value is empty and non-dirty. */
    placeholder?: string;
}
/**
 * A React component that renders an input field, allowing the user to enter information.
 */
export declare function Input(props: InputProps): JSX.Element;
//# sourceMappingURL=Input.d.ts.map