/// <reference types="react" />
import { SelectProps } from './Select';
export interface MultiSelectProps<T> extends SelectProps<T[], T> {
    /** List of option values selected by default. */
    defaultSelected?: T[];
    /** Callback triggered when a value is selected or unselected. */
    onChange?: (values: T[]) => void;
}
/**
 * A React component that renders a select menu with options, where multiple options can be seleted.
 * Options can be navigated with arrow keys, selected with "space", and submitted with "enter".
 */
export declare function MultiSelect<T>(props: MultiSelectProps<T>): JSX.Element;
//# sourceMappingURL=MultiSelect.d.ts.map