import React from 'react';
import { TextProps } from 'ink';
import { StyleType } from '../types';
export interface StyleProps extends Pick<TextProps, 'bold' | 'italic' | 'underline' | 'wrap'> {
    children: NonNullable<React.ReactNode>;
    /** Invert the colors to style the background instead of foreground. Defaults
  to `false`. */
    inverted?: boolean;
    /** Theme palette name to style with. Defaults to "none". */
    type?: StyleType | 'none';
}
/**
 * A React component that styles text and backgrounds based on the current Boost theme.
 */
export declare function Style(props: StyleProps): JSX.Element;
//# sourceMappingURL=Style.d.ts.map