'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

class LogBuffer {
  constructor(stream) {
    this.listener = void 0;
    this.stream = void 0;

    this.write = message => {
      if (this.listener) {
        this.listener(message);
      } else {
        this.stream.write(message);
      }
    };

    this.stream = stream;
  }

  on(listener) {
    this.listener = listener;
    return () => {
      delete this.listener;
    };
  }

}

exports.LogBuffer = LogBuffer;
//# sourceMappingURL=LogBuffer.js.map
