'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const React = require('react');

const ink = require('ink');

const constants = require('../constants.js');

const Style = require('./Style.js');

const _interopDefault = e => e && e.__esModule ? e : {
  default: e
};

const React__default = /*#__PURE__*/_interopDefault(React);
/**
 * A React component that renders a help menu for the entire program.
 */


function IndexHelp(props) {
  const banner = props.banner,
        bin = props.bin,
        children = props.children,
        footer = props.footer,
        header = props.header,
        name = props.name,
        version = props.version;
  return /*#__PURE__*/React__default.default.createElement(ink.Box, {
    flexDirection: "column",
    marginBottom: 1
  }, !!banner && /*#__PURE__*/React__default.default.createElement(ink.Box, null, /*#__PURE__*/React__default.default.createElement(ink.Text, null, banner)), /*#__PURE__*/React__default.default.createElement(ink.Box, {
    marginTop: constants.SPACING_ROW
  }, /*#__PURE__*/React__default.default.createElement(ink.Text, null, `${name} v${version}`, " ", /*#__PURE__*/React__default.default.createElement(Style.Style, {
    type: "muted"
  }, bin))), !!header && /*#__PURE__*/React__default.default.createElement(ink.Box, {
    marginTop: constants.SPACING_ROW
  }, /*#__PURE__*/React__default.default.createElement(ink.Text, null, header)), children, !!footer && /*#__PURE__*/React__default.default.createElement(ink.Box, {
    marginTop: constants.SPACING_ROW
  }, /*#__PURE__*/React__default.default.createElement(ink.Text, null, footer)));
}

exports.IndexHelp = IndexHelp;
//# sourceMappingURL=IndexHelp.js.map
