'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const React = require('react');

const ink = require('ink');

const common = require('@boost/common');

const constants = require('../../constants.js');

const translate = require('../../translate.js');

const Header = require('../Header.js');

const _interopDefault = e => e && e.__esModule ? e : {
  default: e
};

const React__default = /*#__PURE__*/_interopDefault(React);

function HelpUsage({
  delimiter = constants.DELIMITER,
  usage = ''
}) {
  return /*#__PURE__*/React__default.default.createElement(React__default.default.Fragment, null, /*#__PURE__*/React__default.default.createElement(Header.Header, {
    label: translate.msg('cli:labelUsage')
  }), common.toArray(usage).map(example => /*#__PURE__*/React__default.default.createElement(ink.Box, {
    key: example,
    paddingLeft: constants.SPACING_COL
  }, /*#__PURE__*/React__default.default.createElement(ink.Text, null, example.startsWith(delimiter) ? example : delimiter + example))));
}

exports.HelpUsage = HelpUsage;
//# sourceMappingURL=HelpUsage.js.map
