'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const React = require('react');

const ink = require('ink');

function LogWriter({
  errBuffer,
  outBuffer
}) {
  const _ink$useStderr = ink.useStderr(),
        writeErr = _ink$useStderr.write;

  const _ink$useStdout = ink.useStdout(),
        writeOut = _ink$useStdout.write;

  React.useEffect(() => errBuffer.on(writeErr), [errBuffer, writeErr]);
  React.useEffect(() => outBuffer.on(writeOut), [outBuffer, writeOut]);
  return null;
}

exports.LogWriter = LogWriter;
//# sourceMappingURL=LogWriter.js.map
