'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const terminal = require('@boost/terminal');

function applyMarkdown(text) {
  return text.replace(/(?:\*|~|_){1,2}([^*~_]+)(?:\*|~|_){1,2}/giu, (match, body) => {
    if (match.startsWith('~')) {
      return terminal.style.strikethrough(body);
    }

    if (match.startsWith('**') || match.startsWith('__')) {
      return terminal.style.bold(body);
    }

    if (match.startsWith('*') || match.startsWith('_')) {
      return terminal.style.italic(body);
    } // istanbul ignore next


    return match;
  });
}

exports.applyMarkdown = applyMarkdown;
//# sourceMappingURL=applyMarkdown.js.map
