'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const translate = require('../translate.js');

const applyMarkdown = require('./applyMarkdown.js');

const applyStyle = require('./applyStyle.js');

const formatValue = require('./formatValue.js');

function formatDescription(config, tags = []) {
  let output = applyMarkdown.applyMarkdown(config.description); // Append choices after the description

  if (config.choices) {
    const choices = config.choices.map(choice => formatValue.formatValue(choice));
    output += ` (${translate.msg('cli:tagChoices')}: ${choices.join(', ')})`;
  } // Append default last


  if (config.default) {
    output += ` (${translate.msg('cli:tagDefault')}: ${formatValue.formatValue(config.default)})`;
  } // Tags go at the end of the description


  if (config.deprecated) {
    tags.unshift(translate.msg('cli:tagDeprecated'));
  }

  if (tags.length > 0) {
    output += ' ';
    output += applyStyle.applyStyle(`[${tags.join(', ')}]`, 'muted');
  }

  return output;
}

exports.formatDescription = formatDescription;
//# sourceMappingURL=formatDescription.js.map
