'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
/* eslint-disable no-console, import/no-extraneous-dependencies */

/**
 * Wrap the `debug` stream since it writes to `process.stderr` directly.
 * https://www.npmjs.com/package/debug#output-streams
 */

function patchDebugModule() {
  if (!process.env.DEBUG) {
    return () => {};
  }

  const debug = require('debug');

  const originalLog = debug.log;
  debug.log = console.error.bind(console);
  return () => {
    debug.log = originalLog;
  };
}

exports.patchDebugModule = patchDebugModule;
//# sourceMappingURL=patchDebugModule.js.map
