'use strict';

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

Object.defineProperty(exports, '__esModule', {
  value: true
});

const React = require('react');

const ink = require('ink');

const terminal = require('@boost/terminal');

function useDimensions() {
  const _React$useState = React.useState(() => terminal.screen.size()),
        _React$useState2 = _slicedToArray(_React$useState, 2),
        dims = _React$useState2[0],
        setDims = _React$useState2[1];

  const _ink$useStdout = ink.useStdout(),
        stdout = _ink$useStdout.stdout;

  React.useEffect(() => {
    // istanbul ignore next
    const handler = () => {
      setDims(terminal.screen.size());
    };

    stdout === null || stdout === void 0 ? void 0 : stdout.on('resize', handler);
    return () => {
      stdout === null || stdout === void 0 ? void 0 : stdout.off('resize', handler);
    };
  }, [stdout]);
  return {
    height: dims.rows,
    width: dims.columns
  };
}

exports.useDimensions = useDimensions;
//# sourceMappingURL=useDimensions.js.map
