'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const React = require('react');

function useIsMounted() {
  const mounted = React.useRef(false);
  React.useEffect(() => {
    mounted.current = true;
    return () => {
      mounted.current = false;
    };
  }, []);
  return mounted;
}

exports.useIsMounted = useIsMounted;
//# sourceMappingURL=useIsMounted.js.map
