'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const getConstructor = require('./getConstructor.js');
/* eslint-disable @typescript-eslint/no-unsafe-argument */


function getInheritedCategories(base) {
  const categories = {};
  let target = Object.getPrototypeOf(base);

  while (target) {
    const ctor = getConstructor.getConstructor(target);

    if (ctor.categories) {
      Object.assign(categories, ctor.categories);
    } else {
      break;
    }

    target = Object.getPrototypeOf(target);
  }

  return categories;
}

exports.getInheritedCategories = getInheritedCategories;
//# sourceMappingURL=getInheritedCategories.js.map
