'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const getConstructor = require('./getConstructor.js');
/* eslint-disable @typescript-eslint/no-unsafe-argument */


function getInheritedOptions(base) {
  const options = {};
  let target = Object.getPrototypeOf(base);

  while (target) {
    const ctor = getConstructor.getConstructor(target);

    if (ctor.options) {
      Object.assign(options, ctor.options);
    } else {
      break;
    }

    target = Object.getPrototypeOf(target);
  }

  return options;
}

exports.getInheritedOptions = getInheritedOptions;
//# sourceMappingURL=getInheritedOptions.js.map
