'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const constants = require('../constants.js');

const translate = require('../translate.js');

const globalOptions = {
  help: {
    category: 'global',
    description: translate.msg('cli:optionHelpDescription'),
    short: 'h',
    type: 'boolean'
  },
  locale: {
    category: 'global',
    default: 'en',
    description: translate.msg('cli:optionLocaleDescription'),
    type: 'string',

    validate(value) {
      if (value && !value.match(constants.LOCALE_FORMAT)) {
        throw new Error(translate.msg('cli:errorInvalidLocale'));
      }
    }

  },
  version: {
    category: 'global',
    description: translate.msg('cli:optionVersionDescription'),
    short: 'v',
    type: 'boolean'
  }
};
exports.globalOptions = globalOptions;
//# sourceMappingURL=globalOptions.js.map
