'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const optimal = require('@boost/common/optimal');

const translate = require('../translate.js');

const blueprints = require('./blueprints.js');

function validateOptions(options) {
  Object.entries(options).forEach(([name, config]) => {
    let blueprint;

    if (config.type === 'boolean') {
      blueprint = blueprints.flagBlueprint;
    } else if (config.type === 'number') {
      blueprint = config.multiple ? blueprints.numbersOptionBlueprint : blueprints.numberOptionBlueprint;
    } else {
      blueprint = config.multiple ? blueprints.stringsOptionBlueprint : blueprints.stringOptionBlueprint;
    }

    optimal.optimal(blueprint, {
      name: translate.msg('cli:labelOption', {
        name
      }),
      unknown: false
    }).validate(config);
  });
}

exports.validateOptions = validateOptions;
//# sourceMappingURL=validateOptions.js.map
