import { Path } from './Path';
import { FilePath, PortablePath } from './types';
/**
 * An immutable class for operating on file system paths,
 * that always normalize using a forward slash ("/") for path separators.
 * Useful for paths found in configurations, globs, etc.
 */
export declare class VirtualPath extends Path {
    /**
     * Convert a path-like value to a formatted virtual path string.
     */
    static path(part: PortablePath): FilePath;
    /**
     * Return the current module path as a normalized string,
     * converting all path separators to "/".
     */
    path(): FilePath;
}
//# sourceMappingURL=VirtualPath.d.ts.map