import { ModuleID } from '../types';
/**
 * Returns `true` if a string is a valid Node module package name,
 * according to the rules defined in
 * [validate-npm-package-name](https://github.com/npm/validate-npm-package-name).
 * Will `return` false for native builtin modules, like `fs`, and for the old name format.
 *
 * ```ts
 * import { isModuleName } from '@boost/common';
 *
 * isModuleName('boost'); // true
 * isModuleName('@boost/common'); // true
 * isModuleName('fs'); // false
 * ```
 */
export declare function isModuleName(name: ModuleID): boolean;
//# sourceMappingURL=isModuleName.d.ts.map