'use strict';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, '__esModule', {
  value: true
});

const optimal = require('optimal');

class Contract {
  /** Validated and configured options. */
  constructor(options) {
    this.options = void 0;
    this.options = this.configure(options);
  }
  /**
   * Set an options object by merging the new partial and existing options
   * with the defined blueprint, while running all validation checks.
   * Freeze and return the options object.
   *
   * ```ts
   * object.configure({ name: 'Boost' });
   *
   * object.configure((prevOptions) => ({
   * 	nestedObject: {
   * 		...prevOptions.nestedObject,
   * 		some: 'value',
   * 	},
   * }));
   * ```
   */


  configure(options) {
    const nextOptions = typeof options === 'function' ? options(this.options) : options; // We don't want the options property to be modified directly,
    // so it's read only, but we still want to modify it with this function.
    // @ts-expect-error Allow readonly overwrite

    this.options = Object.freeze(optimal.optimal(this.blueprint(optimal.schemas, this.options === undefined), {
      name: this.constructor.name
    }).validate(_objectSpread(_objectSpread({}, this.options), nextOptions)));
    return this.options;
  }
  /**
   * Define an `optimal` blueprint in which to validate and build the
   * options object passed to the constructor, or when manual setting.
   *
   * A boolean is passed as the 2nd argument to determine whether this is
   * validating on class instantiation (first time), or by calling
   * `configure()` (all other times).
   */


}

exports.Contract = Contract;
//# sourceMappingURL=Contract.js.map
