'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const optimal = require('optimal');
/**
 * Can be used to generate a blueprint object for use within
 * [optimal](https://github.com/milesj/optimal) checks. All supported optimal
 * schemas are passed as an object to the factory.
 *
 * ```ts
 * import { createBlueprint } from '@boost/common';
 * import { optimal } from '@boost/common/optimal';
 *
 * const blueprint = createBlueprint(({ string, number }) => ({
 * 	name: string().required(),
 * 	age: number().gt(0),
 * }));
 *
 * const object = optimal(blueprint).validate({});
 * ```
 */


function createBlueprint(factory) {
  return factory(optimal.schemas);
}

exports.createBlueprint = createBlueprint;
//# sourceMappingURL=createBlueprint.js.map
