'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
/**
 * Converts a non-array to an array. If the provided value is falsy,
 * an empty array is returned. If the provided value is truthy and a
 * non-array, an array of 1 item is returned.
 *
 * ```ts
 * import { toArray } from '@boost/common';
 *
 * toArray(123); // [123]
 * toArray('abc'); // ['abc']
 * toArray(['a', 'b', 'c']); // ['a', 'b', 'c']
 * ```
 */

function toArray(value) {
  if (typeof value === 'undefined') {
    return [];
  }

  return Array.isArray(value) ? value : [value];
}

exports.toArray = toArray;
//# sourceMappingURL=toArray.js.map
