'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const optimal = require('optimal');

const Path = require('./Path.js');
/**
 * A schema for validating a value is a `PortablePath`.
 * Checks for a string, `Path`, or `Pathable`.
 */


const portablePathSchema = optimal.union('').of([optimal.string(), optimal.instance().of(Path.Path), optimal.instance().of(Path.Path, {
  loose: true
}), optimal.shape({
  path: optimal.string()
})]);
exports.portablePathSchema = portablePathSchema;

for (const k in optimal) {
  if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
    enumerable: true,
    get: () => optimal[k]
  });
}
//# sourceMappingURL=optimal.js.map
