'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

require('./index.js');

const Path = require('./Path.js');

const ModulePath = require('./ModulePath.js');
/**
 * Normalize a path or its parts by ensuring all path separators match
 * the operating systems default character.
 */


function normalizeSeparators(path) {
  if (Array.isArray(path)) {
    return path.map(normalizeSeparators);
  }

  if (process.platform === 'win32') {
    return String(path).replace(/\//g, '\\');
  }

  return String(path).replace(/\\/g, '/');
}

function mockFilePath(...parts) {
  return new Path.Path(...parts.map(normalizeSeparators));
}

function mockNormalizedFilePath(...parts) {
  const path = mockFilePath(...parts); // Trigger normalize

  path.path();
  return path;
}

function mockModulePath(...parts) {
  return new ModulePath.ModulePath(...parts);
}

exports.mockFilePath = mockFilePath;
exports.mockModulePath = mockModulePath;
exports.mockNormalizedFilePath = mockNormalizedFilePath;
exports.normalizeSeparators = normalizeSeparators;
//# sourceMappingURL=test.js.map
