import { Path } from '@boost/common';
import { Blueprint, Schemas } from '@boost/common/optimal';
import { Finder } from './Finder';
import { IgnoreFile, IgnoreFinderOptions } from './types';
export declare class IgnoreFinder extends Finder<IgnoreFile, IgnoreFinderOptions> {
    blueprint(schemas: Schemas): Blueprint<IgnoreFinderOptions>;
    /**
     * Find a single ignore file in the provided directory.
     */
    findFilesInDir(dir: Path): Promise<Path[]>;
    /**
     * Return an ignore specific file.
     */
    getFileName(): string;
    /**
     * Load and parse a list of found files into a list of ignore patterns.
     */
    resolveFiles(basePath: Path, foundFiles: Path[]): Promise<IgnoreFile[]>;
}
//# sourceMappingURL=IgnoreFinder.d.ts.map