'use strict';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

Object.defineProperty(exports, '__esModule', {
  value: true
});

const common = require('@boost/common');

const mergeObject = require('./mergeObject.js');

function convertListToMap(list) {
  // TODO: Migrate after Node 12 upgrade
  // eslint-disable-next-line unicorn/prefer-object-from-entries
  return list.reduce((map, entry) => {
    const _ref = Array.isArray(entry) ? entry : [entry],
          _ref2 = _slicedToArray(_ref, 2),
          name = _ref2[0],
          _ref2$ = _ref2[1],
          options = _ref2$ === void 0 ? true : _ref2$;

    return _objectSpread(_objectSpread({}, map), {}, {
      [name]: options
    });
  }, {});
}
/**
 * Merges previous and next plugin configurations into an object.
 * Plugin configs can either be a list of sources, or list of sources
 * with flags/options (tuples), or a map of sources to flags/options.
 * This is useful if utilizing the `@boost/plugin` package.
 */


function mergePlugins(prev, next) {
  const plugins = Array.isArray(prev) ? convertListToMap(prev) : _objectSpread({}, prev);
  Object.entries(Array.isArray(next) ? convertListToMap(next) : next).forEach(([name, options]) => {
    if (common.isObject(options)) {
      plugins[name] = common.isObject(plugins[name]) ? mergeObject.mergeObject(plugins[name], options) : options;
    } else if (options !== undefined) {
      plugins[name] = options;
    }
  });
  return plugins;
}

exports.mergePlugins = mergePlugins;
//# sourceMappingURL=mergePlugins.js.map
