'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const ConfigError = require('./ConfigError.js');

const Configuration = require('./Configuration.js');

const getEnv = require('./helpers/getEnv.js');

const mergeArray = require('./helpers/mergeArray.js');

const mergeExtends = require('./helpers/mergeExtends.js');

const mergeObject = require('./helpers/mergeObject.js');

const mergePlugins = require('./helpers/mergePlugins.js');

const overwrite = require('./helpers/overwrite.js');

const schemas = require('./schemas.js');

require('./types.js');
/**
 * @copyright   2020, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 */


exports.ConfigError = ConfigError.ConfigError;
exports.Configuration = Configuration.Configuration;
exports.getEnv = getEnv.getEnv;
exports.mergeArray = mergeArray.mergeArray;
exports.mergeExtends = mergeExtends.mergeExtends;
exports.mergeObject = mergeObject.mergeObject;
exports.mergePlugins = mergePlugins.mergePlugins;
exports.overwrite = overwrite.overwrite;
exports.createExtendsSchema = schemas.createExtendsSchema;
exports.createOverridesSchema = schemas.createOverridesSchema;
exports.createPluginsSchema = schemas.createPluginsSchema;
//# sourceMappingURL=index.js.map
