import type { Debugger } from '.';
/**
 * Returns a Jest spy that matches the return value shape of `createDebugger`.
 *
 * ```ts
 * import { mockDebugger } from '@boost/debug/test';
 *
 * it('calls the debugger', () => {
 * 	const debug = mockDebugger();
 *
 * 	debug('Something is broken!');
 *
 * 	expect(debug).toHaveBeenCalled();
 * });
 * ```
 */
export declare function mockDebugger(): Debugger;
//# sourceMappingURL=test.d.ts.map