'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
/* eslint-disable jest/prefer-spy-on */

/**
 * Returns a Jest spy that matches the return value shape of `createDebugger`.
 *
 * ```ts
 * import { mockDebugger } from '@boost/debug/test';
 *
 * it('calls the debugger', () => {
 * 	const debug = mockDebugger();
 *
 * 	debug('Something is broken!');
 *
 * 	expect(debug).toHaveBeenCalled();
 * });
 * ```
 */

function mockDebugger() {
  const debug = jest.fn();
  debug.disable = jest.fn();
  debug.enable = jest.fn();
  debug.invariant = jest.fn();
  debug.verbose = jest.fn();
  return debug;
}

exports.mockDebugger = mockDebugger;
//# sourceMappingURL=test.js.map
