'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const BaseEvent = require('./BaseEvent.js');

const debug = require('./debug.js');

class WaterfallEvent extends BaseEvent.BaseEvent {
  /**
   * Synchronously execute listeners with the defined argument value.
   * The return value of each listener will be passed as an argument to the next listener.
   */
  emit(arg, scope) {
    if (process.env.NODE_ENV !== "production") {
      debug.debug('Emitting "%s%s" as waterfall', this.name, scope ? `:${scope}` : '');
    }

    return [...this.getListeners(scope)].reduce((nextValue, listener) => listener(nextValue), arg);
  }

}

exports.WaterfallEvent = WaterfallEvent;
//# sourceMappingURL=WaterfallEvent.js.map
