'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
/* eslint-disable no-magic-numbers, sort-keys */
// https://github.com/chalk/ansi-styles/blob/master/index.js#L75

function createColor(open) {
  return message => `\u001B[${open}m${String(message)}\u001B[39m`;
}

const color = {
  // States
  fail: createColor(31),
  mute: createColor(90),
  pass: createColor(32),
  // Types
  filePath: createColor(36),
  moduleName: createColor(33),
  projectName: createColor(34),
  symbol: createColor(35)
};
exports.color = color;
//# sourceMappingURL=color.js.map
