'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
let envVars = {};

if (typeof global.process !== 'undefined') {
  envVars = process.env;
} else if (typeof global.window !== 'undefined') {
  // @ts-expect-error Allow type mismatch
  envVars = window;
}

function env(key, value) {
  const name = `BOOSTJS_${key}`;

  if (value === null) {
    delete envVars[name];
    return undefined;
  }

  if (typeof value === 'string') {
    envVars[name] = value;
    return value;
  }

  return envVars[name];
}

exports.env = env;
//# sourceMappingURL=env.js.map
