import { Contract } from '@boost/common';
import { Blueprint, Schemas } from '@boost/common/optimal';
import { LoggerOptions, LogLevel, LogOptions } from './types';
export declare class Logger extends Contract<LoggerOptions> {
    protected silent: boolean;
    constructor(options: LoggerOptions);
    blueprint(schemas: Schemas): Blueprint<LoggerOptions>;
    /**
     * Disable all logger messages from logging to the console.
     */
    disable(): void;
    /**
     * Enable all logger messages to log the console.
     */
    enable(): void;
    isAllowed(level: LogLevel, maxLevel?: LogLevel): boolean;
    log(options: LogOptions): void;
}
//# sourceMappingURL=Logger.d.ts.map