import type { LoggerFunction } from '.';
/**
 * Returns a Jest spy that matches the return value shape of `createLogger`.
 *
 * ```ts
 * import { mockLogger } from '@boost/log/test';
 *
 * it('calls the logger', () => {
 * 	const log = mockLogger();
 *
 * 	log('Something has happened');
 *
 * 	expect(log).toHaveBeenCalled();
 * });
 * ```
 */
export declare function mockLogger(): LoggerFunction;
//# sourceMappingURL=test.d.ts.map