import { Blueprint, Schemas } from '@boost/common/optimal';
import { Transport } from '../Transport';
import { TransportOptions, Writable } from '../types';
export interface StreamTransportOptions extends TransportOptions {
    /** The stream to pipe messages to. */
    stream: Writable;
}
export declare class StreamTransport extends Transport<StreamTransportOptions> {
    protected stream: Writable;
    constructor(options: StreamTransportOptions);
    blueprint(schemas: Schemas): Blueprint<StreamTransportOptions>;
    /**
     * Write a message to the configured stream.
     */
    write(message: string): void;
}
//# sourceMappingURL=StreamTransport.d.ts.map