'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const constants = require('./constants.js');

const createLogger = require('./createLogger.js');

const formats$1 = require('./formats.js');

const Logger = require('./Logger.js');

const Transport = require('./Transport.js');

const ConsoleTransport = require('./transports/ConsoleTransport.js');

const FileTransport = require('./transports/FileTransport.js');

const RotatingFileTransport = require('./transports/RotatingFileTransport.js');

const StreamTransport = require('./transports/StreamTransport.js');

require('./types.js');
/**
 * @copyright   2020, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 */


exports.DEFAULT_LABELS = constants.DEFAULT_LABELS;
exports.LOG_LEVELS = constants.LOG_LEVELS;
exports.MAX_LOG_SIZE = constants.MAX_LOG_SIZE;
exports.createLogger = createLogger.createLogger;
exports.formats = formats$1;
exports.Logger = Logger.Logger;
exports.Transport = Transport.Transport;
exports.ConsoleTransport = ConsoleTransport.ConsoleTransport;
exports.FileTransport = FileTransport.FileTransport;
exports.RotatingFileTransport = RotatingFileTransport.RotatingFileTransport;
exports.StreamTransport = StreamTransport.StreamTransport;
//# sourceMappingURL=index.js.map
