'use strict';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, '__esModule', {
  value: true
});

const Transport = require('../Transport.js');

class StreamTransport extends Transport.Transport {
  constructor(options) {
    super(options);
    this.stream = void 0;
    this.stream = options.stream;
  }

  blueprint(schemas) {
    const func = schemas.func,
          shape = schemas.shape;
    return _objectSpread(_objectSpread({}, super.blueprint(schemas)), {}, {
      stream: shape({
        write: func().required().notNullable()
      })
    });
  }
  /**
   * Write a message to the configured stream.
   */


  write(message) {
    this.stream.write(message);
  }

}

exports.StreamTransport = StreamTransport;
//# sourceMappingURL=StreamTransport.js.map
