import { ModuleLike } from './types';
/**
 * Formats the shape of an imported module to align with the
 * ES module specification.
 *
 * For ES or ES-like modules, returns the shape as-is.
 *
 * For CommonJS modules, returns an object with the following:
 * - `module.exports` under the `default` property.
 * - `exports.<name>` under properties of the same name,
 *   and also under a `default` object.
 */
export declare function interopModule<D = unknown, N extends object = {}>(result: unknown): ModuleLike<D, N>;
//# sourceMappingURL=interopModule.d.ts.map