"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function customTemplate([providerConfig, consumerConfig], options) {
    const { configModule, providerConfigPath, consumerConfigPath } = options;
    if (!providerConfigPath) {
        throw new Error('Provider Config is required');
    }
    const providerConfigModule = `${configModule}${providerConfigPath
        .path()
        .split(configModule)
        .pop()}`;
    const consumerPath = consumerConfigPath &&
        options.tool.project.root.relativeTo(consumerConfigPath).path();
    const { args, configStrategy, dependencies, env, expandGlobs, outputStrategy, template, 
    // omit internals, keep only actual config:
    ...driverOptions } = options.driver.options;
    return {
        config: [
            `import {makeConfig} from '${providerConfigModule}';`,
            consumerPath ? `import overrides from './${consumerPath}';` : undefined,
            `export default makeConfig(`,
            `  ${JSON.stringify(driverOptions, null, 2).split('\n').join('\n  ')},`,
            consumerPath ? '  overrides' : undefined,
            `);`,
        ]
            .filter(Boolean)
            .join('\n'),
        // path: options.context.cwd.append('vite.config.ts'),
    };
}
exports.default = customTemplate;
//# sourceMappingURL=template.js.map