"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_eslint_1 = __importDefault(require("@beemo/config-eslint"));
const scaffold_config_constants_1 = require("@niieani/scaffold-config-constants");
const config = {
    ...config_eslint_1.default,
    ignore: scaffold_config_constants_1.FOLDER_IGNORE_LIST,
    extends: [
        'plugin:import/typescript',
        ...(Array.isArray(config_eslint_1.default.extends)
            ? config_eslint_1.default.extends.map((value) => value.replace('beemo', 'niieani'))
            : []),
    ],
    plugins: ['eslint-comments'],
    overrides: [
        {
            // TODO: fix TESTS_LIST to include .test.ts files too
            files: scaffold_config_constants_1.TESTS_LIST,
            rules: {
                '@typescript-eslint/ban-ts-ignore': 'off',
                'import/no-extraneous-dependencies': ['error', { devDependencies: true }],
                // does not apply to test files, as they're not publishable anyway
                'node/no-unpublished-import': 'off',
            },
        },
    ],
    rules: {
        complexity: 'off',
        'sort-keys': 'off',
        'no-tabs': 'error',
        'no-nested-ternary': 'off',
        'no-plusplus': 'off',
        // breaks with latest eslint version:
        'unicorn/expiring-todo-comments': 'off',
        // require a eslint-enable comment for every eslint-disable comment
        'eslint-comments/disable-enable-pair': [
            'error',
            {
                allowWholeFile: true,
            },
        ],
        // disallow a eslint-enable comment for multiple eslint-disable comments
        'eslint-comments/no-aggregating-enable': 'error',
        // disallow duplicate eslint-disable comments
        'eslint-comments/no-duplicate-disable': 'error',
        // disallow eslint-disable comments without rule names
        'eslint-comments/no-unlimited-disable': 'error',
        // disallow unused eslint-disable comments
        'eslint-comments/no-unused-disable': 'error',
        // disallow unused eslint-enable comments
        'eslint-comments/no-unused-enable': 'error',
        // disallow ESLint directive-comments
        'eslint-comments/no-use': [
            'error',
            {
                allow: [
                    'eslint-disable',
                    'eslint-disable-line',
                    'eslint-disable-next-line',
                    'eslint-enable',
                ],
            },
        ],
    },
};
exports.default = config;
//# sourceMappingURL=eslint.js.map