"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jest_preset_beemo_1 = __importDefault(require("jest-preset-beemo"));
const lodash_1 = require("lodash");
const config_jest_1 = __importDefault(require("@beemo/config-jest"));
const typedJestPreset = jest_preset_beemo_1.default;
const config = {
    ...(0, lodash_1.omit)(typedJestPreset, ['testMatch']),
    ...(0, lodash_1.omit)(config_jest_1.default, ['preset']),
    testMatch: [
        '<rootDir>/packages/*/src/**/*.test.{ts,tsx,mts,cts,js,jsx,mjs,cjs}',
        '<rootDir>/src/**/*.test.{ts,tsx,mts,cts}',
    ],
    snapshotFormat: {
        escapeString: false,
        printBasicPrototype: false,
    },
    setupFilesAfterEnv: [
    /* '<rootDir>/tests/setup.ts' */
    ],
    clearMocks: true,
    transform: {
        '^.+\\.(c|m)?(t|j)sx?$': '@swc/jest',
    },
};
exports.default = config;
//# sourceMappingURL=jest.js.map