"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeConfig = void 0;
const plugin_node_resolve_1 = __importDefault(require("@rollup/plugin-node-resolve"));
const plugin_react_1 = __importDefault(require("@vitejs/plugin-react"));
// import polyfillNode from 'rollup-plugin-polyfill-node'
// import GlobalsPolyfills from '@esbuild-plugins/node-globals-polyfill'
// import { NodeModulesPolyfillPlugin } from '@esbuild-plugins/node-modules-polyfill'
const makeConfig = (options, overridesDefinition) => async (env) => {
    const overrides = (await (typeof overridesDefinition === 'function'
        ? overridesDefinition(env)
        : overridesDefinition)) ?? {};
    return {
        ...overrides,
        plugins: [
            (0, plugin_node_resolve_1.default)({
                browser: true,
                preferBuiltins: false,
            }),
            (0, plugin_react_1.default)(),
            ...(overrides.plugins ?? []),
            // polyfillNode(),
            // NodeModulesPolyfillPlugin(),
            // GlobalsPolyfills({
            //   buffer: true,
            // }),
        ],
        optimizeDeps: {
            ...overrides.optimizeDeps,
            // The libraries that need shimming should be excluded from dependency optimization.
            exclude: [
                ...(overrides?.optimizeDeps?.exclude ?? []),
                'safe-buffer',
                'sha.js',
                'buffer',
            ],
        },
    };
};
exports.makeConfig = makeConfig;
exports.default = {};
//# sourceMappingURL=vite.js.map