"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileExists = exports.writePackageJson = void 0;
const fs_1 = __importDefault(require("fs"));
const promises_1 = __importDefault(require("fs/promises"));
const path_1 = __importDefault(require("path"));
const sort_package_json_1 = __importDefault(require("sort-package-json"));
async function writePackageJson(modulePath, updatedPackageJson) {
    await promises_1.default.writeFile(path_1.default.join(modulePath, 'package.json'), JSON.stringify((0, sort_package_json_1.default)(updatedPackageJson), null, 2));
}
exports.writePackageJson = writePackageJson;
async function fileExists(projectJsonPath) {
    return promises_1.default
        .access(projectJsonPath, 
    // eslint-disable-next-line no-bitwise
    fs_1.default.constants.F_OK | fs_1.default.constants.R_OK | fs_1.default.constants.W_OK)
        .then(() => true, () => false);
}
exports.fileExists = fileExists;
//# sourceMappingURL=fs.js.map