'use strict';

const fs = require('fs');

const path = require('path');

const configConstants = require('@beemo/config-constants');

const _interopDefault = e => e && e.__esModule ? e : {
  default: e
};

const fs__default = /*#__PURE__*/_interopDefault(fs);

const path__default = /*#__PURE__*/_interopDefault(path);

const setupFilesAfterEnv = [];
const setupFilePath = path__default.default.join(configConstants.ROOT, 'tests/setup.ts'); // Only include the file if it exists, otherwise Jest throws an error

if (fs__default.default.existsSync(setupFilePath)) {
  setupFilesAfterEnv.push(setupFilePath);
}

const config = {
  collectCoverage: false,
  // Enabled by consumers
  collectCoverageFrom: [configConstants.ALL_FILES_GLOB],
  coverageDirectory: './coverage',
  coveragePathIgnorePatterns: [...configConstants.IGNORE_LIST],
  coverageReporters: ['lcov', 'text-summary'],
  coverageThreshold: {
    global: {
      branches: 80,
      functions: 90,
      lines: 90,
      statements: 90
    }
  },
  globals: {
    [`__DEV__`]: true,
    [`__TEST__`]: true,
    [`__PROD__`]: true
  },
  moduleFileExtensions: [...configConstants.EXTENSIONS_WITHOUT_DOT, 'json', 'node'],
  moduleNameMapper: {
    [configConstants.NON_JS_REGEX]: require.resolve('./fileMock.js')
  },
  setupFilesAfterEnv,
  testEnvironment: 'node',
  testMatch: [configConstants.TEST_FILES_GLOB],
  testRunner: 'jest-circus/runner',
  transform: {
    // Support all the new file extensions
    [configConstants.ALL_JS_REGEX]: ['babel-jest', {
      rootMode: 'upward'
    }]
  }
};
module.exports = config;
//# sourceMappingURL=index2.js.map
