module.exports = {
  "collectCoverage": false,
  "collectCoverageFrom": [
    "**/{src,tests,__tests__}/**/*.{ts,tsx,cts,mts,js,jsx,cjs,mjs}"
  ],
  "coverageDirectory": "./coverage",
  "coveragePathIgnorePatterns": [
    "node_modules/",
    "build/",
    "cjs/",
    "coverage/",
    "dist/",
    "dts/",
    "esm/",
    "lib/",
    "mjs/",
    "umd/"
  ],
  "coverageReporters": [
    "lcov",
    "text-summary"
  ],
  "coverageThreshold": {
    "global": {
      "branches": 80,
      "functions": 90,
      "lines": 90,
      "statements": 90
    }
  },
  "globals": {
    "__DEV__": true,
    "__TEST__": true,
    "__PROD__": true
  },
  "moduleFileExtensions": [
    "ts",
    "tsx",
    "cts",
    "mts",
    "js",
    "jsx",
    "cjs",
    "mjs",
    "json",
    "node"
  ],
  "moduleNameMapper": {
    "\\.(css|sass|scss|less|gif|png|jpg|jpeg|svg|gql|graphql|yml|yaml)$": "/home/runner/work/codegen-typescript-graphql-module-declarations-plugin/codegen-typescript-graphql-module-declarations-plugin/node_modules/jest-preset-beemo/lib/fileMock.js"
  },
  "setupFilesAfterEnv": [],
  "testEnvironment": "node",
  "testRunner": "jest-circus/runner",
  "transform": {
    "^.+\\.(c|m)?(t|j)sx?$": "@swc/jest"
  },
  "extensionsToTreatAsEsm": [],
  "testMatch": [
    "<rootDir>/packages/*/src/**/*.test.{ts,tsx,mts,cts,js,jsx,mjs,cjs}",
    "<rootDir>/src/**/*.test.{ts,tsx,mts,cts}"
  ],
  "snapshotFormat": {
    "escapeString": false,
    "printBasicPrototype": false
  },
  "clearMocks": true
};